Subject: Re: bug#19502: 24.4; Emacs 24.4 on windows: the contents of the system-configuration variable has changed, but its docstring has not. I prefer the behaviour described in the docstring.
From: Eli Zaretskii <[email-masked]>
To: Albert <[email-masked]>
Cc: [email-masked]
Date: Sun, 04 Jan 2015 20:35:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 4 Jan 2015 18:17:14 +0100
> From: Albert <[email-masked]>
> Cc: [email-masked]
> 
> The function x-server-version indeed serves my needs. You are right,
> no need to have non-standard behaviour for the system-configuration
> variable. In hindsight it is even documented in an obvious
> place. However, the wording in the documentation of x-server-version
> and x-server-vendor is a little confusing (the relevant snippets are
> included at the end of this mail):
> 
> - The elisp manual says "specifically about X displays". I would
> expect a word about mswindows here.
> 
> - The docstring of x-server-version is compatible with that, but I
> would again expect a word about mswindows.
> 
> - The docstring of x-server-vendor seems to ONLY mention W32 and 
> Microsoft. I would expect more or less the same text as in the elisp 
> manual with an extra remark about W32.

Thanks, I fixed all these discrepancies, and I'm therefore closing the
bug report.